Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.evt
Class ScopeFaultEvent

    java.lang.Object
      org.apache.ode.bpel.evt.BpelEvent
          org.apache.ode.bpel.evt.ProcessEvent
              org.apache.ode.bpel.evt.ProcessInstanceEvent
                  org.apache.ode.bpel.evt.ScopeEvent
                      org.apache.ode.bpel.evt.ScopeFaultEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ScopeFaultEvent

extends ScopeEvent

Event indicating that an activity completed with a fault.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent
`BpelEvent.TYPE`

Field Summary

Fields inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventContext`

Constructor Summary
`ScopeFaultEvent()`
`ScopeFaultEvent(javax.xml.namespace.QName faultType, int lineNo, java.lang.String explanation)`

Method Summary
`java.lang.String` | `getExplanation()`
`int` | `getFaultLineNo()`
`javax.xml.namespace.QName` | `getFaultType()` Get the fault type.
`void` | `setExplanation(java.lang.String explanation)`
`void` | `setFaultLineNo(int faultLineNo)`
`void` | `setFaultType(javax.xml.namespace.QName faultType)`

Methods inherited from class org.apache.ode.bpel.evt.ScopeEvent
`getParentScopeId, getParentScopesNames, getScopeDeclarationId, getScopeId, getScopeName, getType, setParentScopeId, setParentScopesNames, setScopeDeclerationId, setScopeId, setScopeName`

Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent
`getProcessInstanceId, setProcessInstanceId`

Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent
`getProcessId, getProcessName, setProcessId, setProcessName`

Methods inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScopeFaultEvent

    public ScopeFaultEvent()

### ScopeFaultEvent

    public ScopeFaultEvent(javax.xml.namespace.QName faultType,
                           int lineNo,
                           java.lang.String explanation)

Method Detail

### getFaultLineNo

    public int getFaultLineNo()

### setFaultLineNo

    public void setFaultLineNo(int faultLineNo)

### getFaultType

    public javax.xml.namespace.QName getFaultType()

  Get the fault type.

  Returns:
    the fault type

### setFaultType

    public void setFaultType(javax.xml.namespace.QName faultType)

### getExplanation

    public java.lang.String getExplanation()

### setExplanation

    public void setExplanation(java.lang.String explanation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD